%global momorel 1
%global gtk_version 3.22.7

%global po_package gtksourceview-3.0

Summary: A library for viewing source files
Name: gtksourceview3
Version: 3.24.8
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: http://gtksourceview.sourceforge.net/
#VCS: git:git://git.gnome.org/gtksourceview
Source0: http://download.gnome.org/sources/gtksourceview/3.24/gtksourceview-%{version}.tar.xz
NoSource: 0
BuildRequires: libxml2-devel
BuildRequires: gtk3-devel >= %{gtk_version}
BuildRequires: glade-devel
BuildRequires: intltool >= 0.35
BuildRequires: gettext
BuildRequires: gobject-introspection-devel
BuildRequires: vala-tools

Requires: gtk3%{?_isa} >= %{gtk_version}

%description
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains version 3 of GtkSourceView. The older version
2 is contains in the gtksourceview2 package.

%package devel
Summary: Files to compile applications that use gtksourceview3
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
gtksourceview3-devel contains the files required to compile
applications which use GtkSourceView 3.

%package tests
Summary: Tests for the gtksourceview3 package
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The gtksourceview3-tests package contains tests that can be used to verify
the functionality of the installed gtksourceview package.

%prep
%setup -q -n gtksourceview-%{version}

%build
%configure --disable-gtk-doc --disable-static --enable-glade-catalog \
 --enable-installed-tests

%make 

%install
make install DESTDIR=%{buildroot}

# remove unwanted files
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{po_package}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%doc README AUTHORS COPYING NEWS MAINTAINERS
%{_datadir}/gtksourceview-3.0
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/gtksourceview-3.0
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/GtkSource-3.0.gir
%dir %{_datadir}/glade
%dir %{_datadir}/glade/catalogs
%{_datadir}/glade/catalogs/gtksourceview.xml
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gtksourceview-3.0.deps
%{_datadir}/vala/vapi/gtksourceview-3.0.vapi

%files tests
%{_libexecdir}/installed-tests/gtksourceview-3.0
%{_datadir}/installed-tests

%changelog
* Fri Aug 17 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.8-1m)
- update to 3.24.8

* Sun Feb 04 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.6-1m)
- update to 3.24.6

* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Mon Feb 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.23.90-1m)
- update to 3.23.90

* Wed Jan 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.22.2-1m)
- update to 3.22.2

* Mon Apr  6 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.4-1m)
- update to 3.14.4

* Sun Jan 11 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.3-1m)
- update to 3.14.3

* Tue Nov 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- update to 3.14.2

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- update

* Mon Jun 02 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.2-1m)
- update to 3.12.2

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.0-1m)
- update to 3.12.0

* Thu Mar 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.91-1m)
- update to 3.11.91

* Sun Feb 23 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.90-1m)
- update to 3.11.90

* Sat Feb  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.4-1m)
- update to 3.11.4

* Sun Dec 29 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.11.2-1m)
- update to 3.11.2

* Mon Sep  2 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.9.90-1m)
- update to 3.9.90

* Sun Nov 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.1-1m)
- update to 3.6.1

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6.0-1m)
- update to 3.6.0

* Sat Jul  7 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.3-3m)
- rebuild for glade

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.3-2m)
- rebuild for glib 2.33.2

* Thu Dec  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.2-1m)
- update to 3.2.2

* Mon Oct 10 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.1-1m)
- update to 3.2.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.6-1m)
- update to 3.1.6

* Fri Sep 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.5-2m)
- rebuild against glade3-3.10

* Sat Sep 10 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Jul 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.5-1m)
- update to 3.0.5

* Mon Jun 27 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.4-1m)
- update to 3.0.4

* Sat Apr 30 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1
- copy from gtksourceview2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.10.5-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.10.5-2m)
- rebuild for new GCC 4.5

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.5-1m)
- update to 2.10.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10.4-2m)
- full rebuild for mo7 release

* Mon Jun 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.4-1m)
- update to 2.10.4

* Sun May 30 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.10.3-2m)
- add BuildRequires

* Sat May 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.3-1m)
- update to 2.10.3

* Tue May  4 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-3m)
- enable-gtkdoc enable-glade-catalog

* Sun May  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-2m)
- disable-gtkdoc (cannot build with gcc-4.4.4)

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Sun Apr 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-1m)
- update to 2.10.0

* Sat Feb 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.9.7-1m)
- update to 2.29.7

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.9.5-1m)
- update to 2.9.5

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.2-1m)
- update to 2.8.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Sep 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.1-1m)
- update to 2.8.1

* Sat Sep 26 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.0-1m)
- update to 2.8.0

* Mon May 18 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.1-1m)
- update to 2.6.2

* Mon Apr 13 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.1-1m)
- update to 2.6.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.0-1m)
- update to 2.6.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5.6-1m)
- update to 2.5.6

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5.5-1m)
- update to 2.5.5

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.5.4-1m)
- update to 2.5.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.2-2m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Sat Nov  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0

* Mon Jun 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.2-1m)
- update to 2.2.2

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-2m)
- rename gtksourceview2

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.5-1m)
- update to 1.8.5

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.4-1m)
- update to 1.8.4

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.3-1m)
- update to 1.8.3

* Thu Oct  5 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.1-1m)
- update to 1.8.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.2-1m)
- update to 1.6.2

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.6.1-1m)
- update to 1.6.1

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonta-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- version up
- GNOME 2.12.1 Desktop

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.1-1m)
- version 1.1.1
- GNOME 2.8 Desktop

* Tue Dec 21 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.1-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Thu Apr 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.1-1m)
- version 1.0.1

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.0-1m)
- version 1.0.0
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.0-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.0-1m)
- version 0.7.0

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.6.0-1m)
- version 0.6.0

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Tue Jul 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-1m)
- version 0.4.0

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- version 0.3.0

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.1-1m)
- version 0.2.1

* Fri May  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.0-1m)
- version 0.2.0
